#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xEA,0xCA,0xD2,0xBF,0x14,0xBB,0x15,0x75,0x00,0x46,0x6E,0xF2,
		0x22,0x5E,0xA9,0x0D,0x50,0x32,0xD6,0x08,0xA9,0x8E,0xB3,0xEF,
		0x8C,0x84,0xD6,0x01,0xCD,0x35,0x62,0x7C,0x33,0x6F,0xA3,0x41,
		0xA2,0xD2,0xDC,0xC2,0xEC,0x92,0xB7,0x17,0xE1,0x89,0x9F,0x04,
		0x1D,0x8A,0xC1,0x96,0x4A,0x87,0xDA,0x40,0x6E,0x33,0xAA,0x9B,
		0x6A,0xE3,0x82,0xCF,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
